## org.eclipse.datatools.sqltools.debugger.actions
Class SPBreakpointPropertiesAction

    java.lang.Object
      org.eclipse.datatools.sqltools.debugger.actions.SPBreakpointPropertiesAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate

    public class SPBreakpointPropertiesAction

extends java.lang.Object
implements org.eclipse.ui.IObjectActionDelegate

Presents the standard properties dialog to configure the attibutes of a SP Breakpoint.

Author:
  Yang Liu

Constructor Summary
`SPBreakpointPropertiesAction()`

Method Summary
`void` `run(org.eclipse.jface.action.IAction action)`
`void` `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`
`void` `setActivePart(org.eclipse.jface.action.IAction action, org.eclipse.ui.IWorkbenchPart targetPart)`
`void` `setBreakpoint(SPLineBreakpoint breakpoint)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPBreakpointPropertiesAction

    public SPBreakpointPropertiesAction()

Method Detail

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`
  See Also:
    `IActionDelegate.run(IAction)`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`
  See Also:
    `IActionDelegate.selectionChanged(IAction, ISelection)`

### setBreakpoint

    public void setBreakpoint(SPLineBreakpoint breakpoint)

### setActivePart

    public void setActivePart(org.eclipse.jface.action.IAction action,
                              org.eclipse.ui.IWorkbenchPart targetPart)

  Specified by:
    `setActivePart` in interface `org.eclipse.ui.IObjectActionDelegate`
  See Also:
    `IObjectActionDelegate.setActivePart(IAction, IWorkbenchPart)`